# -*- encoding: utf-8 -*-
# stub: mixlib-versioning 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "mixlib-versioning"
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Seth Chisamore", "Christopher Maier"]
  s.date = "2016-04-12"
  s.description = "General purpose Ruby library that allows you to parse, compare and manipulate version strings in multiple formats."
  s.email = ["schisamo@chef.io", "cm@chef.io"]
  s.files = ["CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "lib/mixlib/versioning.rb", "lib/mixlib/versioning/exceptions.rb", "lib/mixlib/versioning/format.rb", "lib/mixlib/versioning/format/git_describe.rb", "lib/mixlib/versioning/format/opscode_semver.rb", "lib/mixlib/versioning/format/rubygems.rb", "lib/mixlib/versioning/format/semver.rb", "lib/mixlib/versioning/version.rb", "mixlib-versioning.gemspec", "spec/mixlib/versioning/format/git_describe_spec.rb", "spec/mixlib/versioning/format/opscode_semver_spec.rb", "spec/mixlib/versioning/format/rubygems_spec.rb", "spec/mixlib/versioning/format/semver_spec.rb", "spec/mixlib/versioning/format_spec.rb", "spec/mixlib/versioning/versioning_spec.rb", "spec/spec_helper.rb", "spec/support/shared_examples/basic_semver.rb", "spec/support/shared_examples/behaviors/comparable.rb", "spec/support/shared_examples/behaviors/filterable.rb", "spec/support/shared_examples/behaviors/parses_valid_version_strings.rb", "spec/support/shared_examples/behaviors/rejects_invalid_version_strings.rb", "spec/support/shared_examples/behaviors/serializable.rb", "spec/support/shared_examples/behaviors/sortable.rb", "spec/support/shared_examples/semver.rb"]
  s.homepage = "https://github.com/chef/mixlib-versioning"
  s.licenses = ["Apache 2.0"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9")
  s.rubygems_version = "2.5.1"
  s.summary = "General purpose Ruby library that allows you to parse, compare and manipulate version strings in multiple formats."
  s.test_files = ["spec/mixlib/versioning/format/git_describe_spec.rb", "spec/mixlib/versioning/format/opscode_semver_spec.rb", "spec/mixlib/versioning/format/rubygems_spec.rb", "spec/mixlib/versioning/format/semver_spec.rb", "spec/mixlib/versioning/format_spec.rb", "spec/mixlib/versioning/versioning_spec.rb", "spec/spec_helper.rb", "spec/support/shared_examples/basic_semver.rb", "spec/support/shared_examples/behaviors/comparable.rb", "spec/support/shared_examples/behaviors/filterable.rb", "spec/support/shared_examples/behaviors/parses_valid_version_strings.rb", "spec/support/shared_examples/behaviors/rejects_invalid_version_strings.rb", "spec/support/shared_examples/behaviors/serializable.rb", "spec/support/shared_examples/behaviors/sortable.rb", "spec/support/shared_examples/semver.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rubocop>, ["= 0.31.0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.14"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<rubocop>, ["= 0.31.0"])
      s.add_dependency(%q<rspec>, ["~> 2.14"])
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<rubocop>, ["= 0.31.0"])
    s.add_dependency(%q<rspec>, ["~> 2.14"])
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
